<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
<xsl:template match="/">
<html>
<body>
<h1>RegBench - Registry Benchmarking Software</h1>
  <xsl:for-each select="/regbench">
      <xsl:for-each select="/regbench/computer">
      <h2>
        System: <xsl:value-of select="machinename"/>         
      </h2>     
          <xsl:for-each select="/regbench/computer/hive">
             <h3>
               Hive: <xsl:value-of select="name"/>
             </h3>             
             <table cellpadding="5">    
             <tr>
             <th align="left">Benchmark test</th>
             <th align="left">Result</th>
             </tr>         
              
                  <xsl:for-each select="randomaccess">              
                  <tr><td>Random access keys per second</td>
                    <td><xsl:value-of select="keyspersecond"/></td>
                  </tr>                                                                       
                </xsl:for-each>
                
              <xsl:for-each select="randomaccess">              
                 <tr><td>Average random access time per entry</td>
                    <td><xsl:value-of select="averagetime"/> ms</td>
                  </tr>                               
              </xsl:for-each>
                                          
               <xsl:for-each select="randomread">              
                  <tr><td>Average random read time per byte</td>
                    <td><xsl:value-of select="averagetime"/> ms</td>
                  </tr>                                                                       
              </xsl:for-each>     
                    
            </table>
           </xsl:for-each>
    </xsl:for-each>
  </xsl:for-each>           
<p>This version is FREE for home, academic, and commercial use.
<br />You may not redistribute any individual portion of this software without 
<br />including the entire unmodified package, as originally created by Bitsum
<br />Technologies.</p>                  
<p>A product of <a href="http://www.bitsum.com">Bitsum Technologies</a>, 
  (c)2008 Jeremy Collake</p>
</body>    
</html>     
</xsl:template>
</xsl:stylesheet> 
